<?php

namespace Drupal\biko_field_values\Repository;

abstract class WrappedNodeQuery extends WrappedEntityQuery {

  protected const DEFAULT_DATE_INTERVAL_FIELD_NAME = 'field_fechas';

  protected ?bool $published = TRUE;

  public function getEntityTypeId(): string {
    return 'node';
  }

  protected function getEntityIdFieldName(): string {
    return 'nid';
  }

  /**
   * Retrieve only published nodes.
   */
  public function published(): void {
    $this->published = TRUE;
  }

  /**
   * Retrieve only unpublished nodes.
   */
  public function notPublished(): void {
    $this->published = FALSE;
  }

  /**
   * Retrieve all nodes, regardless their published state.
   */
  public function publishedOrNotPublished(): void {
    $this->published = NULL;
  }

  public function getPublished(): ?bool {
    return $this->published;
  }

}
