<?php

namespace Drupal\biko_field_values\Repository;

use Drupal\Core\Entity\Query\QueryInterface;

/**
 * Represents a "node" entity type repository.
 */
abstract class WrappedNodeRepository extends WrappedEntityRepository {

  public const ENTITY_KEY__BUNDLE = 'type';

  /**
   * {@inheritdoc}
   *
   * @param \Drupal\biko_field_values\Repository\WrappedEntityQuery $wrappedEntityQuery
   */
  public function getQuery(WrappedEntityQuery $wrappedEntityQuery): QueryInterface {
    $query = parent::getQuery($wrappedEntityQuery);
    if ($wrappedEntityQuery->getPublished() !== NULL) {
      $query->condition('status', $wrappedEntityQuery->getPublished(), '=');
    }
    return $query;
  }

}
