<?php

namespace Drupal\biko_field_values\Repository;

use Drupal\Core\Entity\Query\QueryInterface;

/**
 * Represents a "taxonomy_term" entity type repository.
 */
class WrappedTermRepository extends WrappedEntityRepository {

  public const ENTITY_KEY__BUNDLE = 'vid';

  /**
   * {@inheritdoc}
   *
   * Sets custom default conditions for nodes, such as "Must be published" (status = 1).
   */
  public function getQuery(WrappedEntityQuery $wrappedEntityQuery): QueryInterface {
    $query = parent::getQuery($wrappedEntityQuery);
    $query->condition('status', 1, '=');
    return $query;
  }

  /**
   * {@inheritdoc}
   *
   * Method override only for parameter and return type refinement in PHPDocs.
   *
   * @param \Drupal\biko_field_values\Repository\WrappedTermQuery $wrappedEntityQuery
   *
   * @return \Drupal\biko_field_values\WrappedTerm[]
   *
   * @codingStandardsIgnoreStart
   */
  public function get(WrappedEntityQuery $wrappedEntityQuery): array {
    return parent::get($wrappedEntityQuery);
  }
  /** @codingStandardsIgnoreEnd */

}
